Skip to content

Get Location Config

GET
/v1/{companyId}/location/{locationId}
curl --request GET \
--url https://example.com/v1/example/location/example

Retrieves the configuration settings for a specific location within a company.

companyId
required
string

The company ID

locationId
required
string

The location ID

Media typeapplication/json
object
allowedFields
required
object
badges
required
boolean
displayNameOverrides
required
boolean
labels
required
boolean
clientId
required
string
companyId
required
string
locationId
required
string
variantAssetConfig
required
object
Examplegenerated
{
"allowedFields": {
"badges": true,
"displayNameOverrides": true,
"labels": true
},
"clientId": "example",
"companyId": "example",
"locationId": "example",
"variantAssetConfig": {}
}
Access-Control-Allow-Origin
string
default: *
Example
*

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Media typeapplication/json
object
body
required
code
required
integer
message
required
string
suggestion
required
string
title
required
string
Examplegenerated
{
"body": "example",
"code": 1,
"message": "example",
"suggestion": "example",
"title": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
*

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link

Media typeapplication/json
object
body
required
code
required
integer
message
required
string
suggestion
required
string
title
required
string
Examplegenerated
{
"body": "example",
"code": 1,
"message": "example",
"suggestion": "example",
"title": "example"
}
Access-Control-Allow-Origin
string
default: *
Example
*

The Access-Control-Allow-Origin response header indicates whether the response can be shared with requesting code from the given origin. - MDN Link